package com.huiju.welcome.service.impl;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huiju.welcome.common.base.ResponseBean;
import com.huiju.welcome.mapper.TdSpecMapper;
import com.huiju.welcome.model.TdSpec;
import com.huiju.welcome.service.ITdSpecService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-07-16
 */
@Service
public class TdSpecServiceImpl extends ServiceImpl<TdSpecMapper, TdSpec> implements ITdSpecService {

    @Autowired
    private TdSpecMapper tdSpecMapper;

    @Override
    public ResponseBean specList(IPage<TdSpec> pg, String specName) {
        ResponseBean responseBean= new ResponseBean();
        IPage<TdSpec> list= tdSpecMapper.specList(pg,specName);
        responseBean.addSuccess(list);
        return responseBean;
    }
}
