package com.huiju.welcome.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author jobob
 * @since 2019-03-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaVisitingLog implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "log_id", type = IdType.AUTO)
    private Integer logId;

    private Integer personId;

    private String name;

    private LocalDateTime visiteDate;

    private String carStyle;

    private String licensePlateNum;

    private String channel;

    private String remark;

    private String deviceId;

    private String deviceName;

    private String avatar;

    private Integer visitNum;

    private String visitPurpose;

    private Integer salesId;

    private String salesName;

    private String intention;

    private Integer realPerson;
}
